<?php
/*
 * Info: http://www.ip2nation.com/ip2nation
*/
function pro_ad_cache_user_country()
{
	$country = pro_ad_get_user_country();
	define('PA_COUNTRY_CODE', $country->code);
}
add_action('init', 'pro_ad_cache_user_country');




/*
 * Check if ad has to be showen
*/
function pro_ad_addon_show_banner_in_this_region( $ad_country, $show_ad = 1 )
{
	if( !empty( $ad_country ))
	{
		if( PA_COUNTRY_CODE == $ad_country )
		{
			$show_ad = 1;
		}
		else
		{
			$show_ad = 0;
		}
	}
	
	return $show_ad;
}




function pro_ad_get_ip_adr() 
{
	if (empty($_SERVER["HTTP_X_FORWARDED_FOR"])) 
	{
		$ip_address = $_SERVER["REMOTE_ADDR"];
	} 
	else 
	{
		$ip_address = $_SERVER["HTTP_X_FORWARDED_FOR"];
	}
	if( strpos( $ip_address, ',' ) !== false ) 
	{
		$ip_address = explode(',', $ip_address);
		$ip_address = $ip_address[0];
	}
	return $ip_address;
}


function pro_ad_get_user_country() 
{
	global $wpdb, $cache_ip;
    if( !isset( $cache_ip[$ip] ) ) 
	{
		$ip = pro_ad_get_ip_adr();           
        $sql_query = "SELECT c.*
                      FROM ".$wpdb->prefix . "ad_pro_system_addon_ip2nationCountries c, ".$wpdb->prefix . "ad_pro_system_addon_ip2nation i
                      WHERE i.ip < INET_ATON('$ip')
                      AND c.code = i.country
                      ORDER BY i.ip
                      DESC LIMIT 1";
                          
        $cache_ip[$ip] = $wpdb->get_row( $sql_query );
	}
    return $cache_ip[$ip];
}





function pro_ad_select_all_countries( $query = '' )
{
	global $wpdb;
	$res = $wpdb->get_results("SELECT * FROM " . $wpdb->prefix . "ad_pro_system_addon_ip2nationCountries ".$query );
	return $res;
}
?>