<?php
/*
 * Display Single ads
*/
function pro_ad_display_single( $id, $res, $ads, $size )
{
	$am_ads = count( $ads ) - 1;
	
	$string = $string . '<div class="pro_ad_system_ad_container ad_container_'.$id.'" id="ad_container_'.$id.'" style="width:'.$size[0].'px; height:'.$size[1].'px; background:#F4F4F4; overflow:hidden;" am_ads="'.$am_ads.'" rotation="'.$res[0]->rotation.'" rotation_time="'.$res[0]->rotation_time.'" theid="'.$id.'">';
	
	

	
	/*
	 * ADD-ON: Buy and Sell
	 *
	 *_______________________________________________________________________________________________________________
	 * Check if "Buy and Sell Plugin" is installed.
	*/
	if( function_exists( 'pro_ad_addon_show_buy_and_sell_link' ) )
	{
		if( !count( $ads ) )
		{
			$string = $string . pro_ad_addon_show_buy_and_sell_link( $res );
		}
	}
	/*
	 *_______________________________________________________________________________________________________________
	*/
	
	
	
	
	
	
	// loop true the ads
	$show_ad = 1;
	for( $i = 0; $i < count( $ads ); $i++ )
	{
		
		/*
		 * ADD-ON: Region Data
		 *
		 *_______________________________________________________________________________________________________________
		 * Check if "Region Plugin" is installed.
		*/
		if( function_exists( 'pro_ad_get_user_country' ) )
		{
			$show_ad = pro_ad_addon_show_banner_in_this_region( $ads[$i]->country );
		}
		/*
		 *_______________________________________________________________________________________________________________
		*/
			
			
		
		
		
		if( $show_ad )
		{	
			/*
			 * Update impressions
			 * only if user is no admin!
			*/
			if( !current_user_can('level_10') )
			{
				pro_ad_updt_impr( $ads[$i] ); 
			}
			
			$ad_type = pro_ad_check_banner_type( $ads[$i] );
			if( $ad_type['type'] != 'html' )
			{
				$file = pro_ad_show_banner( $ad_type['file'], $ads[$i]->url, $ads[$i]->target, $ads[$i]->id );
			}
			elseif( $ad_type['type'] == 'html' )
			{
				$ad_code = $ads[$i]->add_timestamp == 'on' ? str_replace("[timestamp]", time(), $ad_type['file']) : $ad_type['file'];
				$file = $ad_code;
			}
			
			$string = $string . '<div id="'.$id.'" class="pro_ad_adzone_'.$id.'_ad_'.$i.' adzone_ad_'.$id.' pro_ad_zone" style="display:none;">';
			$string = $string . $file;
			$string = $string . '</div>';
		}
		
		
	}
	
	$string = $string . '</div>';	
	
	return $string;
}












/*
 * DISPLAY MULTIPLE ADS
*/
function pro_ad_display_multiple( $id, $res, $ads, $size )
{
	$string = $string . '<div class="pro_ad_system_ad_container ad_container_'.$id.'" style="overflow:hidden;">';
	
	
	
	$ao = explode('x', $res[0]->atonce );
	$am = $ao[0] * $ao[1];
	$am_grids = count( $ads ) / $am;
	$am_grids = $am_grids < 1 ? 1 : $am_grids;
	
	/*
	 * kijken welk getal er groter is. het grootste getal gebruiken we om te loopen.
	 * NOTE: Voorlopig geen rotation mogelijk!
	*/
	//$loop = count( $ads ) >= $am ? count( $ads ) : $am;
	$loop = $am;
	
	// loop true the ads
	$c = 1;
	$g = 0;
	$h = 1;
	$v = 0;
	$show_ad = 1;
	for( $i = 0; $i < $loop; $i++ )
	{
		
		
		
		/*
		 * ADD-ON: Region Data
		 *
		 *_______________________________________________________________________________________________________________
		 * Check if "Region Plugin" is installed.
		*/
		if( function_exists( 'pro_ad_get_user_country' ) )
		{
			$show_ad = pro_ad_addon_show_banner_in_this_region( $ads[$i]->country );
		}
		/*
		 *_______________________________________________________________________________________________________________
		*/
		
		
		if( $show_ad )
		{	
			/*
			 * Update impressions
			 * only if user is no admin!
			*/
			if( !current_user_can('level_10') )
			{
				pro_ad_updt_impr( $ads[$i] ); 
			}
			
			$ad_type = pro_ad_check_banner_type( $ads[$i] );
			if( $ad_type['type'] != 'html' )
			{
				$file = pro_ad_show_banner( $ad_type['file'], $ads[$i]->url, $ads[$i]->target, $ads[$i]->id );
			}
			elseif( $ad_type['type'] == 'html' )
			{
				$ad_code = $ads[$i]->add_timestamp == 'on' ? str_replace("[timestamp]", time(), $ad_type['file']) : $ad_type['file'];
				$file = $ad_code;
			}
			
			// Ad grid holder
			if( $c == 1 )
			{
				$string = $string . '<div class="pro_ad_adzone_'.$id.'_adgrid_'.$g.' adzone_adgrid_'.$id.'" style="display:none;">';
				$c++;
				$g++;
			}
			$string = $string . '<div class="pro_ad_adzone_'.$id.'_ad_'.$i.' adzone_ad_'.$id.'" style="float:left !important; margin:2px; width:'.$size[0].'px; height:'.$size[1].'px; background:#F4F4F4;">';
			$string = $string . $file;
			$string = $string . '</div>';
			
			// Horizontaal
			if( $h == $ao[0] )
			{
				$string = $string . '<div style="clear:both;"></div>';
				$h = 0;
				$v++;
			}
			
			// end ad grid holder
			if( $v == $ao[1] )
			{
				$string = $string . '</div>';
				$c = 1;
				$h = 1;
				$v = 0;
			}
			
			$h++;
		}
		else
		{
			$loop++;	
		}
		
	}
	
	
	// Javascript
	$string = $string . "<script type='text/javascript'>jQuery(document).ready(function($) { ";
	
	$string = $string . "$('.pro_ad_adzone_".$id."_adgrid_0').show(); var cur_ad = 0; var am_ads = ".$am_grids." - 1; ";
	
	/*
	if( $res[0]->rotation )
	{
		$time = $res[0]->rotation_time*1000;
		$string = $string . "var autoPlayTime  = ".$time."; autoPlayTimer = setInterval( autoPlay, autoPlayTime ); function autoPlay(){ ";
		$string = $string . "$('.pro_ad_adzone_".$id."_adgrid_' + cur_ad ).hide(); if( cur_ad >= am_ads ){ cur_ad = 0; }else{ cur_ad = cur_ad + 1; } ";
		$string = $string . "$('.pro_ad_adzone_".$id."_adgrid_' + cur_ad ).show(); } ";
	}
	*/
		
	$string = $string . "}); </script>";
	
	$string = $string . '<div style="clear:both;"></div>';
	$string = $string . '</div>';
	
	return $string;
}
?>