<?php
$addons = pro_ads_load_addons( "ORDER BY id DESC" );
?>

<div class="header">
	<div class="icon32" style="background:url(<?php echo $wp_ads_path; ?>/images/addons_icon.png) no-repeat;"></div>
	<h2><?php _e('Add-Ons','wpproads'); ?></h2>
</div>
<div class="content">
	<?php
	/*
	 * ERRORS
	*/
	if( count( $err ) )
	{
		?>
		<div class="err">
        	<?php 
			foreach( $err as $error )
			{
				echo $error;
			}
			?>
        </div>
        <?php
	}
	
	/*
	 * SUCCES
	*/
	if( count( $suc ) )
	{
		?>
		<div class="suc">
        	<?php 
			foreach( $suc as $success )
			{
				echo $success;
			}
			?>
        </div>
        <?php
	}
	?>
    
    <p style="font-size:11px; color:#666;">
    	<img src="<?php echo $wp_ads_path; ?>/images/help_icon.png" height="10px" /> 
        <?php _e("Add-ons allow you to extend the possibilities of the WP Pro Advertising System. This way you can build an advertising manager just the way you like. No need to worry about stuff you'll never use. Only add the plugins you really need.","wpproads"); ?>
    	
    </p>
    

	<div class="inner_cont">
    	
        <div style="font-size:11px; margin:0 0 0 5px;">
        	<img src="<?php echo $wp_ads_path; ?>/images/addons_icon.png" width="12" /> <?php _e('Available add-ons','wpproads'); ?>
        </div>
    	
        <table border="0" cellpadding="0" cellspacing="0" width="100%">	
        	<thead>
            	<tr>
                	<th align="left"><div class="tb_r"><?php _e('Name','wpproads'); ?></div></th>
                    <th align="left" width="300"><?php _e('Description','wpproads'); ?></th>
                    <th align="left"><?php _e('Version','wpproads'); ?></th>
                    <th align="left"><?php _e('Status','wpproads'); ?></th>
                    <th></th>
                </tr>
            </thead>
        	<tbody>
            	
				<?php
				$c = 0; 
				for( $i = 0; $i < count( $addons ); $i++ )
				{
					$i2 = $i + 1;
					$color = !$c ? '#F5F5F5' : '#FFFFFF';
					$class = !$c ? 'grey' : 'white';
					
					$style = $_GET['o'] == $i2 ? '' : 'style="display:none;"';
					?> 
                    <tr>
                    	<td cl="<?php echo $color; ?>" class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
							<a class="config_btn" id="<?php echo $addons[$i]->addon_id; ?>" title="<?php _e('ADDON CONFIGURATION','wpproads'); ?>"><?php echo $addons[$i]->name; ?></a>
                        </td>
                        <td align="left" class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
                        	<div style="font-size:11px; line-height:14px;"><?php echo $addons[$i]->description; ?></div>
                        </td>
                        <td align="left" class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
                        	<div style="font-size:11px;">v<?php echo $addons[$i]->version; ?></div>
                        </td>
                        <td align="left" width="100" class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
                        	<div style="font-size:11px;">
								<?php echo $addons[$i]->installed ? '<span style="color:#00B05D;">'. __('Activated') .'</span>' : '<a href="'.$addons[$i]->link.'" target="_blank"><span style="color:#999;">'. __('Deactivated') .'</span></a>'; ?>
                            </div>
                        </td>
                    </tr>
                    
                    <!-- ADDON CONFIGURATION -->
                    <tr>
                    	<td colspan="4" cl="<?php echo $color; ?>" class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="configuration_<?php echo $addons[$i]->addon_id; ?>" <?php echo $style; ?> >
                        	<div style="font-size:11px;">
								<?php require_once( $addons[$i]->path.'configuration.php' ); ?>
                            </div>
                        </td>
                    </tr>
                    <?php
					$c++;
					$c = $c > 1 ? 0 : $c;
				}
				?>
            </tbody>
        </table>
        
    </div>
    
</div>
<!-- end content -->




<script type="text/javascript">
jQuery(document).ready(function($) {
	
	$('#add_new').click(function(){
		$('#add_new_cont').slideToggle();
	});
	
	$('.td_r').mouseover(function(){
		$('.' + this.id).css('background-color','#FFFFEB')
	});
	
	$('.td_r').mouseout(function(){
		$('.' + this.id).css('background-color', $('#' + this.id).attr('cl'))
	});
	
	
	/*
	 * Open configuration
	*/
	$('.config_btn').click(function(){
		$('#configuration_' + this.id ).slideToggle();
	});
});
</script>