<?php
if( $_SERVER['REQUEST_METHOD'] == 'POST' )
{
	if( isset( $_POST['banner'] ) )
	{
		if( !empty( $_POST['name'] ) )
		{
			if( !empty( $_POST['aid'] ) && !empty( $_POST['cid'] ) )
			{
				if( !empty( $_FILES['file']['name'] ) || !empty( $_POST['banner_url'] ) || !empty( $_POST['banner_html'] ) || !empty( $_POST['edit'] ) )
				{
					// Check for file upload
					if( !empty( $_FILES['file']['name'] ))
					{
						require_once(ABSPATH . "wp-admin" . '/includes/file.php');
						$img = wp_handle_upload( $_FILES['file'], array( 'test_form' => false ) );
							
						$filename = $img['file'];
						$wp_filetype = wp_check_filetype(basename($filename), null );
						$attachment = array(
							'post_mime_type' => $wp_filetype['type'],
							'post_title' => preg_replace('/\.[^.]+$/', '', basename($filename)),
							'post_content' => '',
							'post_status' => 'inherit'
						);
						$attach_id = wp_insert_attachment( $attachment, $filename );
					}
					
					// Check for custom size
					if( !empty( $_POST['custom_w'] ) && !empty( $_POST['custom_h'] ) )
					{
						$custom_size = $_POST['custom_w'].'x'.$_POST['custom_h'];
					}
					
					$arr = array(
						'name'            => $_POST['name'],
						'url'             => $_POST['url'],
						'target'          => $_POST['target'],
						'status'          => $_POST['status'],
						'file'            => $img,
						'banner_url'      => $_POST['banner_url'],
						'html'            => $_POST['banner_html'],
						'add_timestamp'   => $_POST['add_timestamp'],
						'aid'             => $_POST['aid'],
						'cid'             => $_POST['cid'],
						'id'              => $_POST['edit'],
						'country'         => $_POST['country'],
						'custom_size'     => $custom_size
					);
					
					
					if( !$_POST['edit'] )
					{
						// ADD NEW
						if( !pro_ad_create_banner( $arr ) )
						{
							$suc[] = __('New banner added.','wpproads');
						}
						else
						{
							$err[] = __('This banner allready exists.','wpproads');
						}
					}
					else
					{
						// UPDATE
						pro_ad_update_banner( $arr );
						$suc[] = __('Banner updated.','wpproads');
					}
				}
				else
				{
					$err[] = __('choose a banner type.','wpproads');	
				}
			}
			else
			{
				$err[] = __('No advertiser and/or campaign selected. A banner needs to be linked to an advertiser and a campaign.','wpproads');
			}
		}
		else
		{
			$err[] = __('Name is required.','wpproads');	
		}
	}
	
	
	
	
	if( isset( $_POST['adzone_links'] ))
	{
		global $wpdb;
		/*
		 * First we remove all linked adzones for this banner
		 * then we loop true the new ones currently selected
		*/
		$wpdb->query("DELETE FROM " . $wpdb->prefix . "ad_pro_system_linked WHERE advertiser_id  = '".$_POST['aid']."' AND
																				  campaign_id    = '".$_POST['cid']."' AND
																				  banner_id      = '".$_POST['bid']."'
					 ");
		
		if( !empty( $_POST['linked'] ) )
		{
			foreach( $_POST['linked'] as $zid )
			{
				
				$wpdb->query("INSERT INTO " . $wpdb->prefix . "ad_pro_system_linked SET advertiser_id  = '".$_POST['aid']."',
																						campaign_id    = '".$_POST['cid']."',
																						banner_id      = '".$_POST['bid']."',
																						adzone_id      = '".$zid."'
																						
							 ");
			}
		}
		
		
		// OLD STUFF
		//$val = addslashes(serialize( $_POST['linked'] ));
		//$wpdb->query("UPDATE " . $wpdb->prefix . "ad_pro_system_banners SET adzone  = '".$val."' WHERE id = '".$_POST['bid']."' ");
		// end old stuff
		$suc[] = __('Banner linked to adzone.','wpproads');
	}
	
}





/*
 * DELETE BANNER
*/
if( !empty( $_GET['del'] ))
{
	pro_ad_remove_banner( $_GET['del'] );
	$suc[] = __('Banner deleted.','wpproads');
}


$advertisers = pro_ad_load_advertisers( "ORDER BY name ASC" );

/*
 * Get current advertiser
*/
if( $_GET['aid'] )
{
	$advertiser = pro_ad_load_advertisers( "WHERE id = '".$_GET['aid']."' LIMIT 1" );
}
else
{
	$advertiser = pro_ad_load_advertisers( "ORDER BY name ASC LIMIT 1" );
}


$campaigns = pro_ad_load_campaigns( "WHERE advertiser_id = '".$advertiser[0]->id."' ORDER BY name ASC" );

/*
 * Get current campaign
*/
if( $_GET['cid'] )
{
	$campaign = pro_ad_load_campaigns( "WHERE id = '".$_GET['cid']."' LIMIT 1" );
}
else
{
	$campaign = pro_ad_load_campaigns( "WHERE advertiser_id = '".$advertiser[0]->id."' ORDER BY name ASC LIMIT 1" );
}

/*
 * Load Banners
*/
$banners  = pro_ad_load_banners( "WHERE advertiser_id  = '".$advertiser[0]->id."' AND campaign_id = '".$campaign[0]->id."' ORDER BY id DESC" );

if( $_GET['edit'] )
{
	$banner = pro_ad_load_banners( "WHERE id = '".$_GET['edit']."' LIMIT 1" );
}
?>


<div class="header">
	<div class="icon32" style="background:url(<?php echo $wp_ads_path; ?>/images/banners_icon.png) no-repeat;"></div>
	<div style="float:left;"><h2><?php _e('Banners','wpproads'); ?></h2></div>
    <div style="float:left; margin:22px 0 0 -40px;">
    	<a class="dropdown" id="dropdown">
        	<img src="<?php echo $wp_ads_path; ?>/images/advertiser_icon.png" height="10px" /> 
            <span style="color:#000;"><?php _e('Advertiser','wpproads'); ?>: <?php echo $advertiser[0]->name; ?> &raquo; </span>
            <img src="<?php echo $wp_ads_path; ?>/images/folder_open.png" height="10px" />
            <?php _e('Campaign','wpproads'); ?>: <?php echo $campaign[0]->name; ?>
        </a>
        <div class="dropdown_cont" id="dropdown_cont">
        	
            <!-- DROPDOWN ADVERTISERS -->
            <div style="float:left;">
                <div style="margin:10px 0 0 0;">
                    <?php _e('Show banners for','wpproads'); ?> <strong><?php _e('Advertiser','wpproads'); ?>:</strong>
                </div>
                <div style="width:200px; height:240px; padding:5px; overflow:auto; background:#FFF; border:solid 1px #DDDDDD;">
                    
                <?php
                for( $i = 0; $i < count( $advertisers ); $i++ )
                {
					$selected = $advertiser[0]->id == $advertisers[$i]->id ? 'selected_ad' : '';
                    ?>
                    <div class="advertiser_holder">
                        <a class="advertiser <?php echo $selected; ?>" id="advertiser_<?php echo $advertisers[$i]->id; ?>" aid="<?php echo $advertisers[$i]->id; ?>">
                            <img src="<?php echo $wp_ads_path; ?>/images/advertiser_icon.png" height="10px" /> <?php echo $advertisers[$i]->name; ?>
                        </a>
                    </div>
                    <?php
                }
                ?>
                    
                </div>
            </div>
            
            <!-- DROPDOWN CAMPAIGNS -->
            <div style="float:left; margin:0 0 0 10px;">
            	<div style="margin:10px 0 0 0;">
                    <strong><?php _e('Campaign','wpproads'); ?>:</strong>
                </div>
                <div id="campaigns_h" style="width:200px; height:240px; padding:5px; overflow:auto; background:#FFF; border:solid 1px #DDDDDD;">
                    
                <?php
                for( $i = 0; $i < count( $campaigns ); $i++ )
                {
					$selected = $campaign[0]->id == $campaigns[$i]->id ? 'selected_ca' : '';
                    ?>
                    <div>
                        <a href="?page=wp-pro-advertising&m=3&aid=<?php echo $advertiser[0]->id; ?>&cid=<?php echo $campaigns[$i]->id; ?>" class="<?php echo $selected; ?>">
                            <img src="<?php echo $wp_ads_path; ?>/images/folder_open.png" height="10px" /> <?php echo $campaigns[$i]->name; ?>
                        </a>
                    </div>
                    <?php
                }
				
				if( !count( $campaigns ) )
				{
					_e('No campaigns.','wpproads');	
				}
                ?>
                    
                </div>
            </div>
            <div class="clearFix"></div>
            
            
            
        </div>
    </div>
    <div style="clear:both;"></div>
</div>




<div class="content">

	<?php
	/*
	 * ERRORS
	*/
	if( count( $err ) )
	{
		?>
		<div class="err">
        	<?php 
			foreach( $err as $error )
			{
				echo $error;
			}
			?>
        </div>
        <?php
	}
	
	/*
	 * SUCCES
	*/
	if( count( $suc ) )
	{
		?>
		<div class="suc">
        	<?php 
			foreach( $suc as $success )
			{
				echo $success;
			}
			?>
        </div>
        <?php
	}
	?>


	<div class="inner_cont">
    	
    <?php
	if( $_GET['edit'] )
	{
		// If we are editing we dont use jQuery. We just link to the page again to remove edit links.
		?>
        <a href="?page=wp-pro-advertising&m=3&aid=<?php echo $advertiser[0]->id; ?>&cid=<?php echo $campaign[0]->id; ?>&add=1" style="padding:0 5px;">
        	<img src="<?php echo $wp_ads_path; ?>/images/add_banner_icon.png" /> <?php _e('Add new banner','wpproads'); ?>
        </a>
        <?php
	}
	else
	{
		// If we are not editing we use jQuery to slide the panel.
		?>
		<a id="add_new" style="padding:0 5px;">
        	<img src="<?php echo $wp_ads_path; ?>/images/add_banner_icon.png" /> <?php _e('Add new banner','wpproads'); ?>
        </a>
        <?php
	}
	?>
    
		
        
        
        
        <div id="add_new_cont" <?php echo count( $err ) || $_GET['edit'] && !count( $suc ) || $_GET['add'] && !count( $suc ) ? '' : 'style="display:none;"'; ?>>
        	<div style="padding:5px;">
            
            <?php
			if( $campaign[0]->id )
			{
				?>
            
            	<form method="post" action="" enctype="multipart/form-data">
                	<input type="hidden" name="aid" value="<?php echo $advertiser[0]->id; ?>" />
                    <input type="hidden" name="cid" value="<?php echo $campaign[0]->id; ?>" />
                    <input type="hidden" name="edit" value="<?php echo $_GET['edit']; ?>" />
                	<table border="0" cellpadding="0" cellspacing="0" width="100%">
                    	<tbody>
                        	<tr>
                            	<td width="150"><?php _e('Name','wpproads'); ?> *:</td>
                                <td>
                                	<?php $name = $_GET['edit'] ? $banner[0]->name : ''; ?>
                                	<input name="name" value="<?php echo $name; ?>" class="input" style="width:300px;">
                                </td>
                            </tr>
                            <tr>
                            	<td><?php _e('Link','wpproads'); ?>:</td>
                                <td>
                                	<?php $url = $_GET['edit'] ? $banner[0]->url : ''; ?>
                                	<input name="url" value="<?php echo $url; ?>" class="input" style="width:300px;"> 
                                    <em><small style="color:#666;"><?php _e('Destination url','wpproads'); ?></small></em>
                                </td>
                            </tr>
                            <tr>
                            	<td><?php _e('Target','wpproads'); ?>:</td>
                                <td>
                                	<?php $target = $_GET['edit'] ? $banner[0]->target : '_blank'; ?> 
                                	<select name="target" class="input" style="width:162px;">
                                        <option value="_blank" <?php echo empty( $target ) || $target == '_blank' ? 'selected="selected"' : ''; ?>>
                                        	_blank
                                        </option>
                                        <option value="_self" <?php echo $target == '_self' ? 'selected="selected"' : ''; ?>>_self</option>
                                        <option value="_parent" <?php echo $target == '_parent' ? 'selected="selected"' : ''; ?>>_parent</option>
                                        <option value="_top" <?php echo $target == '_top' ? 'selected="selected"' : ''; ?>>_top</option>
                                    </select>
                                </td>
                            </tr>
                            <tr>
                            	<td><?php _e('Status','wpproads'); ?>:</td>
                                <td>
                                	<?php $status = $_GET['edit'] ? $banner[0]->status : 1; ?> 
                                	<select name="status" class="input" style="width:162px;">
                                        <option value="1" <?php echo empty( $status ) || $status == 1 ? 'selected="selected"' : ''; ?>>
                                        	<?php _e('Active','wpproads'); ?>
                                        </option>
                                        <option value="0" <?php echo $status == 0 ? 'selected="selected"' : ''; ?>><?php _e('Inactive','wpproads'); ?></option>
                                        <option value="2" <?php echo $status == 2 ? 'selected="selected"' : ''; ?>><?php _e('Awaiting Payment','wpproads'); ?></option>
                                    </select>
                                </td>
                            </tr>
                            
                            
                            
                            <?php
							/*
							 * ADD-ON: Region Data
							 *_______________________________________________________________________________________________________________
							 * Load all countries
							*/
							if( function_exists( 'pro_ad_get_user_country' ) )
							{
							?>
                            <tr>
                            	<td colspan="2" height="20"></td>
                            </tr>
                            <tr>
                            	<td><?php _e('Country','wpproads'); ?>:</td>
                                <td>
                                	<?php $country = $_GET['edit'] ? $banner[0]->country : ''; ?> 
                                	<select name="country" class="input" style="width:250px;">
                                    	<option value="" <?php echo empty( $country ) ? 'selected="selected"' : ''; ?> style="font-weight:bold; color:#000;">
                                        	<?php _e('Show banner for every country','wpproads'); ?>.
                                        </option>
                                        <?php
										$countries = pro_ad_select_all_countries( "ORDER BY country ASC" );
										for( $c = 0; $c < count( $countries ); $c++ )
										{
											?>
                                            <option value="<?php echo $countries[$c]->code; ?>" <?php echo $country == $countries[$c]->code ? 'selected="selected"' : ''; ?>>
												<?php echo $countries[$c]->country; ?>
                                            </option>
                                            <?php
										}
										?>
                                        
                                    </select>
                                </td>
                            </tr>
                            <tr>
                            	<td></td>
                                <td>
                                	<em>
                                    	<small style="color:#666;">
                                    		<?php _e('Select a country here if you want to show this banner to that specific country only','wpproads'); ?>.
                                    	</small>
                                    </em>
                                </td>
                            </tr>
                            <?php
							}
							/*
							 *_______________________________________________________________________________________________________________
							*/
							?>
                            
                            
                            
                            <tr>
                            	<td colspan="2">
                                	<div style="margin:20px 0 0 0; font-weight:bold;"><?php _e('Choose a banner type','wpproads'); ?></div>
                                    
                                    <!-- OPTION 1 -->
                                	<div style="margin:0 0 10px 0; background:#F4F4F4; border:solid 1px #DDDDDD; border-radius:3px; padding:5px;">
                                        <div>
                                            <div><strong><?php _e('OPTION','wpproads'); ?> 1</strong></div>
                                            <div style="color:#666;"><em><small><?php _e('Upload a banner from your computer','wpproads'); ?></small></em></div>
                                        </div>
                                        
                                        <div>
                                        	<?php 
											if( !empty( $banner[0]->file ) )
											{
												echo pro_ad_show_banner( $banner[0]->file, $banner[0]->url ); 
											}
											?>
                                        </div>
                                        
                                        <div>
                                        	<table border="0">
                                            	<tbody>
                                                	<tr>
                                                    	<td width="110"><?php _e('File','wpproads'); ?>:</td>
                                                        <td><input type="file" name="file" id="file" class="input" /></td>
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div>  
                                    </div>
                                    
                                    <!-- OPTION 2 -->
                                    <div style="margin:0 0 10px 0; background:#F4F4F4; border:solid 1px #DDDDDD; border-radius:3px; padding:5px;">
                                        <div>
                                            <div><strong><?php _e('OPTION','wpproads'); ?> 2</strong></div>
                                            <div style="color:#666;"><em><small><?php _e('Link an external banner','wpproads'); ?></small></em></div>
                                        </div>
                                        
                                        <div>
                                        	<?php 
											if( !empty( $banner[0]->ext_file ) )
											{
												echo pro_ad_show_banner( $banner[0]->ext_file, $banner[0]->url ); 
											}
											$ext_file = $_GET['edit'] ? $banner[0]->ext_file : '';
											?>
                                        </div>
                                        
                                        <div>
                                        	<table border="0">
                                            	<tbody>
                                                	<tr>
                                                    	<td width="110"><?php _e('url','wpproads'); ?>:</td>
                                                        <td>
                                                        <input type="text" name="banner_url" value="<?php echo $ext_file; ?>" class="input" style="width:300px;" />
                                                        </td>
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                    
                                    <!-- OPTION 3 -->
                                    <div style="margin:0 0 10px 0; background:#F4F4F4; border:solid 1px #DDDDDD; border-radius:3px; padding:5px;">
                                        <div>
                                            <div><strong><?php _e('OPTION','wpproads'); ?> 3</strong></div>
                                            <div style="color:#666;"><em><small><?php _e('HTML Code (adSense, iframes, ...)','wpproads'); ?></small></em></div>
                                        </div>
                                        
                                        <div>
                                        	<?php 
											if( !empty( $banner[0]->html ) )
											{
												echo $banner[0]->html; 
											}
											$html = $_GET['edit'] ? $banner[0]->html : '';
											?>
                                        </div>
                                        
                                        <div>
                                        	<table border="0">
                                            	<tbody>
                                                	<tr>
                                                    	<td width="110"><?php _e('HTML','wpproads'); ?>:</td>
                                                        <td><textarea name="banner_html" class="input" style="width:300px; height:100px; font-size:10px;"><?php echo $html; ?></textarea><br /><small><?php _e('HTML banners will not be visible in statistics','wpproads'); ?>.</small><div><input type="checkbox" name="add_timestamp" <?php echo $banner[0]->add_timestamp == 'on' ? 'checked="checked"' : ''; ?> /> <small><?php _e('This will replace', 'wpproads'); ?> <i><b>[timastamp]</b></i> <?php _e('with the current timestamp','wpproads'); ?>.</small></div></td>
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            
                            <tr>
                            	<td><strong><?php _e('Optional Settings','wpproads'); ?></strong></td>
                            </tr>
                            
                            
                            <tr>
                            	<td><?php _e('Custom Size','wpproads'); ?>:</td>
                                <td width="100">
                                	<?php $sz = explode('x', $banner[0]->custom_size); ?>
                                	<div style="float:left;">
                                		<div><small><?php _e('Width','wpproads'); ?>:</small></div>
                                    	<div><input name="custom_w" value="<?php echo $sz[0]; ?>" class="input" style="width:50px;"><small>Px.</small></div>
                                    </div>
                                    <div style="float:left; margin:0 0 0 20px;">
                                    	<div><small><?php _e('Height','wpproads'); ?>:</small></div>
                                    	<div><input name="custom_h" value="<?php echo $sz[1]; ?>" class="input" style="width:50px;"><small>Px.</small></div>
                                    </div>
                                    <div style="clear:both;"></div>
                                    <em><small style="color:#666;"><?php _e('This allows you to force your banner into a specific width/height. This will not work for HTML banners.','wpproads'); ?></small></em>
                                </td>
                                <td>
                                	
                                </td>
                            </tr>
                            
                            
                            <tr>
                            	<td colspan="2">
                                	<div style="margin:15px 0 0 0; color:#999;"><small>* <?php _e('Required fields','wpproads'); ?></small></div>
                                    <?php $label = $_GET['edit'] ? __('Update','wpproads') : __('Submit','wpproads'); ?>
                                	<div><input type="submit" name="banner" value="<?php echo $label; ?> <?php _e('Banner','wpproads'); ?>"></div>
                                </td>
                                
                            </tr>
                            
                        </tbody>
                    </table>
                </form>
            <?php
			}
			else
			{
				?>
                <div class="err">
                	<?php _e('The advertiser','wpproads'); ?> <strong><?php echo $advertiser[0]->name; ?></strong> <?php _e('has no campaigns','wpproads'); ?>. 
                    <?php _e('You need to','wpproads'); ?> <a href="?page=wp-pro-advertising&m=2&aid=<?php echo $advertiser[0]->id; ?>&add=1"><?php _e('create a campaign','wpproads'); ?></a> <?php _e('in order to add banners','wpproads'); ?>.
                </div>
                <?php
			}
			?>
            </div>
        </div>
        
        
        
        
        <table border="0" cellpadding="0" cellspacing="0" width="100%">	
        	<thead>
            	<tr>
                	<th align="left"><div class="tb_r"><?php _e('Name','wpproads'); ?></div></th>
                    <th align="left"><div class="tb_r"><?php _e('Size','wpproads'); ?></div></th>
                    <th align="left"><div class="tb_r"><?php _e('Status','wpproads'); ?></div></th>
                    <th align="left"><div class="tb_r"><?php _e('Adzone','wpproads'); ?></div></th>
                    <th></th>
                    <th></th>
                </tr>
            </thead>
        	<tbody>
            	<?php
				$c = 0; 
				for( $i = 0; $i < count( $banners ); $i++ )
				{
					$color = !$c ? '#F5F5F5' : '#FFFFFF';
					$class = !$c ? 'grey' : 'white';
					
					$file = pro_ad_check_banner_type( $banners[$i] );
					?> 
                    <tr>
                    	<td width="350" cl="<?php echo $color; ?>" class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
							<a href="?page=wp-pro-advertising&m=3&aid=<?php echo $advertiser[0]->id; ?>&cid=<?php echo $campaign[0]->id; ?>&edit=<?php echo $banners[$i]->id; ?>">
								<?php echo $banners[$i]->name; ?>
                            </a>
                        </td>
                        <td width="50" class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
                        	<div style="font-size:11px;">
                        	<?php
							if( $file['type'] != 'html' )
							{ 
								$size = getimagesize( $file['file'] );
								echo $size[0].'x'.$size[1];
							}
							else
							{
								_e('unknown','wpproads');	
							}
							?>
                            </div>
                        </td>
                        
                        <td width="150" class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
                        	<div style="font-size:11px;"><?php echo pro_ad_output_banner_status( $banners[$i]->status ); ?></div>
                        </td>
                        
                        <td width="350" class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
                        	
                            
                            <!-- ADZONE LINKED DROP DOWN -->
                            <?php
							global $wpdb;
							$zones   = pro_ad_load_adzones( "WHERE size = '".$size[0].'x'.$size[1]."' ORDER BY id DESC" );
							$a_zones = pro_ad_load_adzones( "ORDER BY id DESC" );
							$zone = $wpdb->get_results("SELECT z.*, l.banner_id 
													    FROM 
														" . $wpdb->prefix . "ad_pro_system_adzones z, 
														" . $wpdb->prefix . "ad_pro_system_linked l 
														
														WHERE 
														l.banner_id = '".$banners[$i]->id."' AND 
														l.adzone_id = z.id 
													   
													   ");
							?>
                            
                            <a class="ad_drop" id="ad_drop_cont_<?php echo $i; ?>">
                                <div style="color:#000; overflow:hidden; height:18px;">
									<?php
									// find linked zones
									$zone_n = '';
									
									for( $z = 0; $z < count( $zone ); $z++ )
                                    {
										$zone_n = $zone_n . '<img src="'.$wp_ads_path.'/images/ad_zone_32.png" height="10px" /> ';
                                        $zone_n = $zone_n . $zone[$z]->name.' ';
									}
									
                                    echo !empty( $zone_n ) ? $zone_n : __('No adzone selected','wpproads').'.';
                                    ?>
                                </div>
                            </a>
                            
                            
                            <div class="ad_drop_cont ad_drop_cont_<?php echo $i; ?>">
                            	
                                <!-- RECOMMENDED ADZONES --> 
                                <div style="float:left; margin:0 10px 0 0;">
                                    <div style="margin:10px 0 0 0;">
                                        <strong><?php _e('Recommended','wpproads'); ?></strong>
                                    </div>
                                    <form action="" method="post">
                                    <input type="hidden" name="bid" value="<?php echo $banners[$i]->id; ?>" />
                                    <input type="hidden" name="aid" value="<?php echo $banners[$i]->advertiser_id; ?>" />
                                    <input type="hidden" name="cid" value="<?php echo $banners[$i]->campaign_id; ?>" />
                                    <div style="width:130px; height:140px; padding:5px; overflow:auto; background:#FFF; border:solid 1px #DDDDDD;">
                                        
                                        <table cellpadding="0" cellspacing="0" width="100%">
                                        <?php
										$selected = array();
										for( $z = 0; $z < count( $zones ); $z++ )
										{
											for( $l = 0; $l < count( $zone ); $l++ )
                                    		{
												if( $zone[$l]->id == $a_zones[$z]->id )
												{
													$selected[$z] = 'checked="checked"';
												}
											}
											?>
											<tr>
                                            	<td valign="top">
                                                	<input name="linked[]" <?php echo $selected[$z]; ?> value="<?php echo $zones[$z]->id; ?>" type="checkbox" style="width:10px; height:10px;" />
                                                </td>
                                                
                                                <td>
                                                	<div style="font-size:11px; margin:0 0 3px 3px; line-height:12px;"><?php echo $zones[$z]->name; ?></div>
                                                </td>
                                            </tr>
                                            <?php
										}
										if( !count( $zones ) )
										{
											echo '<small>'. __('No available adzones for this banner size','wpproads') .' <em>('.$size[0].'x'.$size[1].')</em>.</small>';
											echo '<br><small><a href="?page=wp-pro-advertising&m=4&add=1">'. __('create new adzone','wpproads') .'</a></small>';
										}
										?>
                                        </table>
                                    
                                    </div>
                                    <input type="submit" name="adzone_links" value="update" />
                                    </form>
                                </div>
                                
                                <!-- ALL ADZONES --> 
                                <div style="float:left;">
                                	<div style="margin:10px 0 0 0;">
                                        <strong>All</strong> 
                                        <a style="display:inline;" id="all_adzones_help">
                                        	<img src="<?php echo $wp_ads_path; ?>/images/help_icon.png" height="10px" />
                                        </a>
                                    </div>
                                    <form action="" method="post">
                                    <input type="hidden" name="bid" value="<?php echo $banners[$i]->id; ?>" />
                                    <input type="hidden" name="aid" value="<?php echo $banners[$i]->advertiser_id; ?>" />
                                    <input type="hidden" name="cid" value="<?php echo $banners[$i]->campaign_id; ?>" />
                                	<div style="width:130px; height:140px; padding:5px; overflow:auto; background:#FFF; border:solid 1px #DDDDDD;">
                                        
                                        <!--
                                        <a href="?page=wp-pro-advertising&m=3&aid=<?php //echo $advertiser[0]->id; ?>&cid=<?php //echo $campaigns[$i]->id; ?>&bid=<?php //echo $banners[$i]->id; ?>&linkit=">
                            					<img src="<?php //echo $wp_ads_path; ?>/images/unlink_icon.png" height="10px" /> Remove from adzone
                        				</a>
                                        -->
                                        
                                        
                                        <table cellpadding="0" cellspacing="0" width="100%">
                                        <?php
										$selected = array();
										for( $z = 0; $z < count( $a_zones ); $z++ )
										{
											for( $l = 0; $l < count( $zone ); $l++ )
                                    		{
												if( $zone[$l]->id == $a_zones[$z]->id )
												{
													$selected[$z] = 'checked="checked"';
												}
											}
											?>
                                            <tr>
                                            	<td valign="top">
                                                	<input name="linked[]" <?php echo $selected[$z]; ?> value="<?php echo $a_zones[$z]->id; ?>" type="checkbox" style="width:10px; height:10px;" />
                                                </td>
                                                
                                                <td valign="top">
                                                	<div style="font-size:11px; margin:0 0 3px 3px; line-height:12px;">
														<?php echo $a_zones[$z]->name; ?>
                                                    </div>
                                                </td>
                                            </tr>
                                            <?php
										}
										?>
                                        </table>
                                        
                                   
                                    </div>
                                    <input type="submit" name="adzone_links" value="<?php _e('update','wpproads'); ?>" />
                                    </form>
                                </div>
                                
                                <div style="clear:both;"></div>
                                
                            </div>
                            <!-- // -->
                            
                            
                        </td>
                        
                        <td align="right" width="100" class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
                        	<?php 
							if( $file['type'] != 'html' )
							{
								$file = pro_ad_show_banner( $file['file'] );
								?>
								<a class="preview_banner_<?php echo $i; ?>">
									<img src="<?php echo $wp_ads_path; ?>/images/preview_icon.png" height="13px" />
								</a>
								<script type="text/javascript">
								jQuery(function(){
									jQuery(".preview_banner_<?php echo $i; ?>").tipTip({defaultPosition: 'left', maxWidth: '1000px', edgeOffset: 20, content: '<?php echo $file; ?>'});
								});
								</script>
                                <?php
							}
							else
							{
								$file = $file['file'];
							}
							?>
                        </td>
                        
                        <td align="right" class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
                            <a class="remove_btn" id="remove_<?php echo $i; ?>" name="dialog_rmov_<?php echo $i; ?>" zone="<?php echo $banners[$i]->id; ?>">
                                <img src="<?php echo $wp_ads_path; ?>/images/remove_icon.png" height="13px" />
                            </a>
                            <div id="dialog_rmov_<?php echo $i; ?>" title="<?php _e('REMOVE BANNER','wpproads'); ?>" style="display:none;">
                                <p>
                                    <strong><?php _e('Are you sure you want to remove this Banner','wpproads'); ?>?</strong>
                                    <div style="font-size:16px;">
										<?php echo $file; ?>
                                    </div>
                                </p>
                            </div>
                            <!-- end dialog -->
                        </td>
                    </tr>
                    <?php
					$c++;
					$c = $c > 1 ? 0 : $c;
				}
				?>
            </tbody>
        </table>
    </div>
</div>
<!-- end content -->



<script type="text/javascript">
jQuery(document).ready(function($) {
	
	$('#add_new').click(function(){
		$('#add_new_cont').slideToggle();
	});
	
	
	$('#dropdown').click(function(){
		$('#dropdown_cont').slideToggle();
	});
	
	$('.ad_drop').click(function(){
		$('.' + this.id ).slideToggle();
	});
	
	
	$(".preview_banner").mouseover(function(){
	
		
		
	});
	
	
	/*
	 * TOOLTIPS
	*/
	$(function(){
		$("#all_adzones_help").tipTip({defaultPosition: 'left', maxWidth: '200px', edgeOffset: 10, content: '<?php _e('This will force your banner into the selected adzones','wpproads'); ?><br> <?php _e('even if the banner size does not match the adzone size','wpproads'); ?>!'});
	});
	
	
	
	$('.td_r').mouseover(function(){
		$('.' + this.id).css('background-color','#FFFFEB')
	});
	
	$('.td_r').mouseout(function(){
		$('.' + this.id).css('background-color', $('#' + this.id).attr('cl'))
	});
	
	
	
	
	
	
	/*
	 * AJAX STUFF
	*/
	$('.advertiser').click(function(){
		//alert( $('#' + this.id).attr('aid') );
		$('.advertiser_holder a').removeClass('selected_ad');
		$('#' + this.id).addClass('selected_ad');
		
		
		var aid = $('#' + this.id).attr('aid');
		var cur = <?php echo !empty( $campaign[0]->id ) ? $campaign[0]->id : 0; ?>
		
		
		$.ajaxSetup ({
				cache: false
			});
			var loadUrl = "<?php echo $wp_ads_path; ?>/includes/ajax_load_campaigns.php";
			$('#campaigns_h').html('<img src="<?php echo $wp_ads_path; ?>/images/loader.gif" alt="Loading..." />');
			$.post(
				loadUrl,
				{
					aid: aid,
					cur: cur
				},
				function(responseText){
					
					$('#campaigns_h').html(responseText);
				},
				"html"
		);
		
		
	});
	
	
	
	
	
	
	/*
	 * POPUP
	*/
	$('.remove_btn').click(function() {
		
		var id  = $('#'+this.id).attr('name');
		var del = $('#'+this.id).attr('zone');
			
		$("#"+id).dialog({
			resizable: false,
			height:250,
			width:400,
			modal: true,
			buttons: {
					'<?php _e('YES REMOVE','wpproads'); ?>': function() {
						window.location = '?page=wp-pro-advertising&m=3&aid=<?php echo $advertiser[0]->id; ?>&cid=<?php echo $campaigns[$i]->id; ?>&del=' + del
						$(this).dialog('close');
					},
					Cancel: function() {
						$(this).dialog('close');
					}
			}
		});
	});

});
</script>