<?php
if( $_SERVER['REQUEST_METHOD'] == 'POST' )
{
	$arr = array(
		'show_empty_adzones'     => $_POST['show_empty_adzones']
	);
	
	$res = wp_pro_ads_update_options( $arr );
}


$options = pro_ads_load_options();
?>

<div class="header">
	<div class="icon32" style="background:url(<?php echo $wp_ads_path; ?>/images/options_icon_32.png) no-repeat;"></div>
	<h2><?php _e('Options','wpproads'); ?></h2>
</div>
<div class="content">
	<?php
	/*
	 * ERRORS
	*/
	if( count( $err ) )
	{
		?>
		<div class="err">
        	<?php 
			foreach( $err as $error )
			{
				echo $error;
			}
			?>
        </div>
        <?php
	}
	
	/*
	 * SUCCES
	*/
	if( count( $suc ) )
	{
		?>
		<div class="suc">
        	<?php 
			foreach( $suc as $success )
			{
				echo $success;
			}
			?>
        </div>
        <?php
	}
	?>
    
    <p style="font-size:11px; color:#666;">
    	<img src="<?php echo $wp_ads_path; ?>/images/help_icon.png" height="10px" /> 
        <?php _e("Here you can set some configuration options for the WP Pro Advertising System.","wpproads"); ?>
    	
    </p>
    

	<div class="inner_cont">
    	
        <div style="font-size:11px; margin:0 0 0 5px;">
        	<img src="<?php echo $wp_ads_path; ?>/images/options_icon_16.png" width="12" /> <?php _e('Configuration Options','wpproads'); ?>
        </div>
    	
        <form action="" method="post" enctype="multipart/form-data">
            <table border="0" cellpadding="5" cellspacing="0" width="100%">	
                
                <tbody>
                    
                    <tr>
                        <td width="200">
                            <?php _e('show empty adzones', 'wpproads'); ?>?
                        </td>
                        <td>
                            <select name="show_empty_adzones" style="width:200px;">
                                <option value="1" <?php echo $options[0]->show_empty_adzones ? 'selected="selected"' : ''; ?>><?php _e('Yes', 'wpproads'); ?></option>
                                <option value="0" <?php echo !$options[0]->show_empty_adzones ? 'selected="selected"' : ''; ?>><?php _e('No', 'wpproads'); ?></option>
                            </select>
                        </td>
                    </tr>
                    <tr>
                    	<td colspan="2"><input type="submit" value="<?php _e('update options','wpproads'); ?>" /></td>
                    </tr>
                </tbody>
            </table>
        </form>
        
    </div>
    
</div>
<!-- end content -->




<script type="text/javascript">
jQuery(document).ready(function($) {
	
	$('#add_new').click(function(){
		$('#add_new_cont').slideToggle();
	});
	
	$('.td_r').mouseover(function(){
		$('.' + this.id).css('background-color','#FFFFEB')
	});
	
	$('.td_r').mouseout(function(){
		$('.' + this.id).css('background-color', $('#' + this.id).attr('cl'))
	});
	
	
	/*
	 * Open configuration
	*/
	$('.config_btn').click(function(){
		$('#configuration_' + this.id ).slideToggle();
	});
});
</script>