<?php
if( $_SERVER['REQUEST_METHOD'] == 'POST' )
{
	if( isset( $_POST['advertiser'] ) )
	{
		if( !empty( $_POST['name'] ))
		{
			$arr = array(
				'name'  => $_POST['name'],
				'email' => $_POST['email'],
				'id'    => $_POST['edit']
			);
			
			
			if( !$_POST['edit'] )
			{
				// ADD NEW
				if( !pro_ad_create_advertiser( $arr ) )
				{
					$suc[] = __('New advertiser added.','wpproads');
				}
				else
				{
					$err[] = __('This advertiser allready exists.','wpproads');
				}
			}
			else
			{
				// UPDATE
				pro_ad_update_advertiser( $arr );
				$suc[] = __('Advertiser updated.','wpproads');
			}
			
		}
		else
		{
			$err[] = __('Name is required.','wpproads');	
		}
	}
}


/*
 * DELETE ADVERTISER
*/
if( !empty( $_GET['del'] ))
{
	pro_ad_remove_advertiser( $_GET['del'] );
	$suc[] = __('Advertiser deleted.','wpproads');
}


/*
 * Load Advertisers
*/
$advertisers = pro_ad_load_advertisers( "ORDER BY name ASC" );

if( $_GET['edit'] )
{
	$advertiser = pro_ad_load_advertisers( "WHERE id = '".$_GET['edit']."' LIMIT 1" );
}
?>


<div class="header">
	<div class="icon32" style="background:url(<?php echo $wp_ads_path; ?>/images/advertiser_persons.png) no-repeat;"></div>
	<h2><?php _e('Advertisers','wpproads'); ?></h2>
</div>
<div class="content">
	
    <?php
	/*
	 * ERRORS
	*/
	if( count( $err ) )
	{
		?>
		<div class="err">
        	<?php 
			foreach( $err as $error )
			{
				echo $error;
			}
			?>
        </div>
        <?php
	}
	
	/*
	 * SUCCES
	*/
	if( count( $suc ) )
	{
		?>
		<div class="suc">
        	<?php 
			foreach( $suc as $success )
			{
				echo $success;
			}
			?>
        </div>
        <?php
	}
	?>
    

	<div class="inner_cont">
    <?php
	if( $_GET['edit'] )
	{
		// If we are editing we dont use jQuery. We just link to the page again to remove edit links.
		?>
        <a href="?page=wp-pro-advertising&m=1&add=1" style="padding:0 5px;">
        	<img src="<?php echo $wp_ads_path; ?>/images/add_person.png" /> <?php _e('Add new advertiser','wpproads'); ?>
        </a>
        <?php
	}
	else
	{
		// If we are not editing we use jQuery to slide the panel.
		?>
		<a id="add_new" style="padding:0 5px;">
        	<img src="<?php echo $wp_ads_path; ?>/images/add_person.png" /> <?php _e('Add new advertiser','wpproads'); ?>
        </a>
        <?php
	}
	?>
        
        <div id="add_new_cont" <?php echo count( $err ) || $_GET['edit'] && !count( $suc ) || $_GET['add'] && !count( $suc ) ? '' : 'style="display:none;"'; ?>>
        	<div style="padding:5px;">
            	<form method="post" action="">
                	<input type="hidden" name="edit" value="<?php echo $_GET['edit']; ?>" />
                	<table border="0" cellpadding="0" cellspacing="0" width="100%">
                    	<tbody>
                        	<tr>
                            	<td><?php _e('Name','wpproads'); ?> *:</td>
                                <td><input name="name" value="<?php echo $advertiser[0]->name; ?>" class="input" style="width:300px;"></td>
                            </tr>
                            <tr>
                            	<td><?php _e('Email','wpproads'); ?>:</td>
                                <td><input name="email" value="<?php echo $advertiser[0]->email; ?>" class="input" style="width:300px;"></td>
                            </tr>
                            <tr>
                            	<td colspan="2">
                                	<div style="margin:15px 0 0 0; color:#999;"><small>* <?php _e('Required fields','wpproads'); ?></small></div>
                                    <?php $label = $_GET['edit'] ? __('Update','wpproads') : __('Submit','wpproads'); ?>
                                	<div>
                                    	<input type="submit" name="advertiser" value="<?php echo $label; ?> <?php _e('Advertiser','wpproads'); ?>">
                                    </div>
                                </td>
                                
                            </tr>
                        </tbody>
                    </table>
                </form>
            </div>
        </div>
        
        
        
        
        
        
        
        
        <table border="0" cellpadding="0" cellspacing="0" width="100%">	
        	<thead>
            	<tr>
                	<th align="left"><div class="tb_r"><?php _e('Name','wpproads'); ?></div></th>
                    <th align="right"></th>
                    <th align="right"></th>
                    <th></th>
                </tr>
            </thead>
        	<tbody>
            	
				<?php
				$c = 0; 
				for( $i = 0; $i < count( $advertisers ); $i++ )
				{
					$color = !$c ? '#F5F5F5' : '#FFFFFF';
					$class = !$c ? 'grey' : 'white';
					?> 
                    <tr>
                    	<td cl="<?php echo $color; ?>" class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
							<a href="?page=wp-pro-advertising&m=1&edit=<?php echo $advertisers[$i]->id; ?>"><?php echo $advertisers[$i]->name; ?></a>
                        </td>
                        <td align="right" class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
                        	<a href="?page=wp-pro-advertising&m=2&aid=<?php echo $advertisers[$i]->id; ?>&add=1">
                                <img src="<?php echo $wp_ads_path; ?>/images/add_folder.png" height="13px" /> <?php _e('Add new campaign','wpproads'); ?>
                            </a>
                        </td>
                        <td align="right" width="100" class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
                        	<a href="?page=wp-pro-advertising&m=2&aid=<?php echo $advertisers[$i]->id; ?>">
                                <img src="<?php echo $wp_ads_path; ?>/images/folder_open.png" height="13px" /> <?php _e('Campaigns','wpproads'); ?>
                            </a>
                        </td>
                        <td align="right" class="td_r td_<?php echo $i; ?> <?php echo $class; ?>" id="td_<?php echo $i; ?>">
                            <a class="remove_btn" id="remove_<?php echo $i; ?>" name="dialog_rmov_<?php echo $i; ?>" zone="<?php echo $advertisers[$i]->id; ?>">
                                <img src="<?php echo $wp_ads_path; ?>/images/remove_icon.png" height="13px" />
                            </a>
                            <div id="dialog_rmov_<?php echo $i; ?>" title="<?php _e('REMOVE BANNER','wpproads'); ?>" style="display:none;">
                                <p>
                                    <strong><?php _e('Are you sure you want to remove this Advertiser','wpproads'); ?>?</strong>
                                    <div style="font-size:16px;">
										<?php echo $advertisers[$i]->name; ?>
                                    </div>
                                </p>
                            </div>
                            <!-- end dialog -->
                        </td>
                    </tr>
                    <?php
					$c++;
					$c = $c > 1 ? 0 : $c;
				}
				?>
            </tbody>
        </table>
    </div>
</div>
<!-- end content -->



<script type="text/javascript">
jQuery(document).ready(function($) {
	
	$('#add_new').click(function(){
		$('#add_new_cont').slideToggle();
	});
	
	
	
	$('.td_r').mouseover(function(){
		$('.' + this.id).css('background-color','#FFFFEB')
	});
	
	$('.td_r').mouseout(function(){
		$('.' + this.id).css('background-color', $('#' + this.id).attr('cl'))
	});
	
	
	
	/*
	 * POPUP
	*/
	$('.remove_btn').click(function() {
		
		var id  = $('#'+this.id).attr('name');
		var del = $('#'+this.id).attr('zone');
			
		$("#"+id).dialog({
			resizable: false,
			height:250,
			width:400,
			modal: true,
			buttons: {
					'<?php _e('Yes Remove','wpproads'); ?>': function() {
						window.location = '?page=wp-pro-advertising&m=1&del=' + del
						$(this).dialog('close');
					},
					Cancel: function() {
						$(this).dialog('close');
					}
			}
		});
	});

});
</script>